package com.hwrj.cloud.admin.mapper;

import com.hwrj.cloud.admin.model.UmsMemberOrigin;
import com.hwrj.cloud.admin.model.UmsMemberOriginExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface UmsMemberOriginMapper {
    long countByExample(UmsMemberOriginExample example);

    int deleteByExample(UmsMemberOriginExample example);

    int deleteByPrimaryKey(Long id);

    int insert(UmsMemberOrigin record);

    int insertSelective(UmsMemberOrigin record);

    List<UmsMemberOrigin> selectByExampleWithBLOBs(UmsMemberOriginExample example);

    List<UmsMemberOrigin> selectByExample(UmsMemberOriginExample example);

    UmsMemberOrigin selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") UmsMemberOrigin record, @Param("example") UmsMemberOriginExample example);

    int updateByExampleWithBLOBs(@Param("record") UmsMemberOrigin record, @Param("example") UmsMemberOriginExample example);

    int updateByExample(@Param("record") UmsMemberOrigin record, @Param("example") UmsMemberOriginExample example);

    int updateByPrimaryKeySelective(UmsMemberOrigin record);

    int updateByPrimaryKeyWithBLOBs(UmsMemberOrigin record);

    int updateByPrimaryKey(UmsMemberOrigin record);
}